PoolType.Server (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: PoolType, class: Server

Package org.apache.geode.cache.configuration

# Class PoolType.Server

java.lang.Object
org.apache.geode.cache.configuration.PoolType.Server

Enclosing class:
  PoolType

public static class PoolType.Server extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `host`
  `protected String`
  `port`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Server()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHost()`
  Gets the value of the host property.
  `String`
  `getPort()`
  Gets the value of the port property.
  `void`
  `setHost(String value)`
  Sets the value of the host property.
  `void`
  `setPort(String value)`
  Sets the value of the port property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### host

    protected String host

  - ### port

    protected String port

- ## Constructor Details

  - ### Server

    public Server()

- ## Method Details

  - ### getHost

    public String getHost()
    Gets the value of the host property. possible object is `String`
    Returns:
      the host name

  - ### setHost

    public void setHost(String value)
    Sets the value of the host property. allowed object is `String`
    Parameters:
      `value` - the host name.

  - ### getPort

    public String getPort()
    Gets the value of the port property. possible object is `String`
    Returns:
      the port number.

  - ### setPort

    public void setPort(String value)
    Sets the value of the port property. allowed object is `String`
    Parameters:
      `value` - the port number.